# Class OutputManagerJS

java.lang.Object
org.jmol.viewer.OutputManagerJS

public class OutputManagerJS extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected double`
`privateKey`
`protected static final String`
`SCENE_TAG`
`protected Viewer`
`vwr`

## Constructor Summary

Constructors
Constructor
Description
`OutputManagerJS()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`createSceneSet(String sceneFile, String type, int width, int height)`
`protected String`
`getLogPath(String fileName)`
`protected String`
`handleOutputToFile(Map<String,Object> params, boolean doCheck)`
general routine for creating an image or writing data to a file passes request to statusManager to pass along to app or applet jmolStatusListener interface
`protected String`
`wrapPathForAllFiles(String cmd, String strCatch)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### vwr

protected Viewer vwr

### privateKey

protected double privateKey

### SCENE_TAG

protected static final String SCENE_TAG

See Also:
  - Constant Field Values

## Constructor Details

### OutputManagerJS

public OutputManagerJS()

## Method Details

### getLogPath

protected String getLogPath(String fileName)

### createSceneSet

protected String createSceneSet(String sceneFile, String type, int width, int height)

### handleOutputToFile

protected String handleOutputToFile(Map<String,Object> params, boolean doCheck)
general routine for creating an image or writing data to a file passes request to statusManager to pass along to app or applet jmolStatusListener interface

Parameters:
  `params` - include: fileName: starts with ? --> use file dialog; type: PNG, JPG, etc.; text: String to output; bytes: byte[] or null if an image; scripts for scenes; quality: for JPG and PNG; width: image width; height: image height; fullPath: String[] return
  `doCheck` -
Returns:
  null (canceled) or a message starting with OK or an error message

### wrapPathForAllFiles

protected String wrapPathForAllFiles(String cmd, String strCatch)